On this page
quick_reference_all
创建视频再创作任务
1.概述
通过本接口创建视频再创作任务。在发起之前,您需要调用创建视频生成任务,获取到视频的id,作为video_id参数添加到url中使用。
2.请求说明
- 请求方法:
POST - 请求地址
https://gateway.theturbo.ai/v1/videos/{video_id}/remix
3.请求参数
3.1 Head参数
| 参数名称 | 类型 | 必填 | 说明 | 示例值 |
|---|---|---|---|---|
Content-Type |
string | 是 | 设置请求头类型,必须为multipart/form-data |
multipart/form-data; boundary=------------------------y0QNRDhXQUE3yHQi7DEbLz |
Authorization |
string | 是 | 身份验证所需的 API_KEY,格式Bearer $YOUR_API_KEY |
Bearer $YOUR_API_KEY |
3.2 Body 参数 (application/json)
| 参数名称 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| video_id | string | 是 | 添加到url中使用。例如https://gateway.theturbo.ai/v1/videos/video_68f742df11b8819094cfb7c08788ed02/remix |
video_68f742df11b8819094cfb7c08788ed02 |
| prompt | string | 是 | 用于描述要生成的视频的文本提示。 | Extend the scene with the cat taking a bow to the cheering audience |
4.请求示例
curl -X POST https://gateway.theturbo.ai/v1/videos/video_68f742df11b8819094cfb7c08788ed02/remix \
-H "Authorization: Bearer $YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Extend the scene with the cat taking a bow to the cheering audience"
}'
5.响应示例
{
"id": "video_68f7441dd5f0819096687ce9bde11dd9",
"object": "video",
"created_at": 1761035293,
"status": "queued",
"completed_at": null,
"error": null,
"expires_at": null,
"model": "sora-2",
"progress": 0,
"remixed_from_video_id": "video_68f7421d0ef48190ae664c9f26c1c1a8",
"seconds": "4",
"size": "720x1280"
}